#root {
  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;
  min-height: 100%;
  height: 100%;
}

.list,
.add {
  padding: 1em;
}

.list {
  flex: 1 1 auto;
  overflow: auto;
  .item {
    &.edit {
      border-color: blue;
    }
    margin-bottom: 1em;
    .flag {
      margin-left: 0.5em;
    }
    .actions {
      a {
        margin-left: 1em;
      }
    }
  }
}

.add {
  flex: 0 0 auto;
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
  background-color: rgba(gray, 0.1);
  &.edit {
    background-color: rgba(blue, 0.1);
  }

  .row-text {
    flex: 1 1 100%;
    padding: 0 2em;
  }
  .row-date-country {
    min-width: 16em;
  }
}
